# $Revision: 1.5.2.1 $, $Date: 2003/03/13 00:56:39 $
#
# Conditional build:
# _with_tests - perform "make test" (requires running esd)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	ESD
Summary:	Audio::ESD Perl module - interface to Enlightened Sound Daemon
Summary(pl):	Modu Perla Audio::ESD - interfejs do ESD ("Owieconego" Demona Dwiku)
Name:		perl-Audio-ESD
Version:	0.02
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	esound-devel
BuildRequires:	perl-devel >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the Enlightened Sound Daemon,
which is used on many Linux systems to mix sound output streams from
multiple desktop applications.  It allows you to open input, output,
monitoring, and filtering streams which function like normal Perl
filehandles, as well as to control various parameters on the ESD
server.

%description -l pl
Ten modu udostpnia perlowy interfejs  do ESD - "Owieconego" Demona
Dwiku, ktry jest uywany na wielu systemach linuksowych do
mieszania strumieni dwikowych z wielu aplikacji. Pozwala na
otworzenie strumieni wejciowego, wyjciowego, monitorujcego i
filtrujcego, ktre dziaaj jak normalne perlowe uchwyty plikw, a
take na kontrol rnych parametrw serwera ESD.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
# typemap missing...
cat > typemap <<EOF
my_esd_t		T_IV
esd_server_info_t *	T_PTROBJ
esd_info_t *		T_PTROBJ
EOF

%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Audio/ESD.pm
%dir %{perl_sitearch}/auto/Audio/ESD
# is this empty file required ?
%{perl_sitearch}/auto/Audio/ESD/autosplit.ix
%{perl_sitearch}/auto/Audio/ESD/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Audio/ESD/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Audio-ESD.spec,v $
Revision 1.5.2.1  2003/03/13 00:56:39  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.5  2003/02/25 00:35:50  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:26:21  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/28 15:39:10  ankry
- version 0.02

Revision 1.2  2002/08/04 19:22:56  qboosh
- fixed Name (stupid cp bug)

Revision 1.1  2002/08/04 15:52:38  qboosh
- new
